#ifndef _LAPACK_POTRF_H
#define _LAPACK_POTRF_H

vector unsigned int vec_spotrf_u(short int N, MRSESDataType *A, short int lda);
vector float vec_rcorr(short int N, MRSESDataType *C, MRSESDataType *Ca, MRSESDataType *Cb);
vector float vec_rmahal(short int N, MRSESDataType *C, MRSESDataType *X);
vector float vec_bhata(vector float rcorr, vector float rmahal);
void vec_ssyrk_rln_11 (short int N, short int K, const float *A, short int lda, float *C, short int ldc);
void vec_update_row (short int row, short int N, short int K, const float *A, short int lda, float *C);


#endif /* _LAPACK_POTRF_H */
